/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yami.shop.bean.model.OrderItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderItemMapper extends BaseMapper<OrderItem> {

    List<OrderItem> listByOrderNumber(@Param("orderNumber") String orderNumber);

    void updateByDeliveries(@Param("orderItems") List<OrderItem> orderItems);

    List<OrderItem> getListByOrderNumber(@Param("orderNumber") String orderNumber);

    List<OrderItem> getRefundTypeByOrderItem2(@Param("refundId") Long refundId);

    Integer refundIngCount(Long orderItemId);

    Integer refundSuccessCount(Long orderItemId);

    Integer refundCount(Long orderItemId);

//    List<OrderItem> getUnCloseRefundOrderItemByOrderNumber(String orderNumber);

//	void insertBatch(List<OrderItem> orderItems);

//	List<OrderItem> getPayByOrderNumber(@Param("orderNumber") String orderNumber);

}
